%----------------------------------------------------------
%   ZOBRAZENÍ DAT ZE SYSTÉMU BIOPAC
%----------------------------------------------------------
% Diplomová práce: Bezkontaktní detekce fyziologických parametrů z obrazových sekvencí.
% Tereza Bršlicová, ID 133958

% Skript vykresluje signály získané referenčním měřením systémem BIOPAC
% Dobrovolníci (měření) jsou označeny číslemi -1- až -1O-
% signály slouží k výpočtu dechové frekvence jednotlivých dobrovolníků

clc;
clear all;
close all;

%%  1
load a.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(a(:,1))),(a(:,1)),'k');
title('- 1 -.','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(a(:,2))),(a(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(a(:,3))),(a(:,3)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(a(:,4))),(a(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

%%  2
load b.mat

figure
subplot(4,1,1)
plot(linspace(0,10,length(b(:,1))),(b(:,1)),'k');
title('- 2 -','FontSize',14)
ylabel('SWITCH','FontWeight','bold','FontSize',11)
xlabel('Time [s]')
subplot(4,1,2)
plot(linspace(0,10,length(b(:,2))),(b(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]')
subplot(4,1,3)
plot(linspace(0,10,length(b(:,3))),(b(:,3)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11)
xlabel('Time [s]')
subplot(4,1,4)
plot(linspace(0,10,length(b(:,4))),(b(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11)
xlabel('Time [s]')


%%  3
load c.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(c(:,1))),(c(:,1)),'k');
title('- 3 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(c(:,2))),(c(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]')
subplot(4,1,3)
plot(linspace(0,10,length(c(:,3))),(c(:,3)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(c(:,4))),(c(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

%%  4
load d.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(d(:,3))),(d(:,3)),'k');
title('- 4 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(d(:,2))),(d(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(d(:,1))),(d(:,1)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(d(:,4))),(d(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

%%  5
load e.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(e(:,3))),(e(:,3)),'k');
title('- 5 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(e(:,2))),(e(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(e(:,1))),(e(:,1)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(e(:,4))),(e(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

%%  6
load f.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(f(:,3))),(f(:,3)),'k');
title('- 6 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(f(:,2))),(f(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(f(:,1))),(f(:,1)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(f(:,4))),(f(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
%%  7
load g.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(g(:,1))),(g(:,1)),'k');
title('- 7 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(g(:,2))),(g(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(g(:,3))),(g(:,3)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(g(:,4))),(g(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

%%  8
load h.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(h(:,3))),(h(:,3)),'k');
title('- 8 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(h(:,2))),(h(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(h(:,1))),(h(:,1)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(h(:,4))),(h(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

%%  9
load i.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(i(:,1))),(i(:,1)),'k');
title('- 9 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(i(:,2))),(i(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(i(:,3))),(i(:,3)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(i(:,4))),(i(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

%%  10
load j.mat

figure;
subplot(4,1,1);
plot(linspace(0,10,length(j(:,1))),(j(:,1)),'k');
title('- 10 -','FontSize',14);
ylabel('SWITCH','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,2);
plot(linspace(0,10,length(j(:,2))),(j(:,2)),'k');
ylabel('DECH','FontWeight','bold','FontSize',11)
xlabel('Time [s]');
subplot(4,1,3);
plot(linspace(0,10,length(j(:,3))),(j(:,3)),'k');
ylabel('PPG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');
subplot(4,1,4);
plot(linspace(0,10,length(j(:,4))),(j(:,4)),'k');
ylabel('EKG','FontWeight','bold','FontSize',11);
xlabel('Time [s]');

